%define pypi_name jsonpatch

Name:           python-jsonpatch
Version:        1.33
Release:        %mkrel 4
Group:          Development/Python
Summary:        Apply JSON-Patches (RFC 6902)

License:        Modified BSD License
URL:            https://github.com/stefankoegl/python-json-patch
Source0:        https://pypi.io/packages/source/j/jsonpatch/jsonpatch-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  pyproject-rpm-macros
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3dist(setuptools)

%description
Library to apply JSON Patches according to RFC 6902.

%package -n     python3-%{pypi_name}
Summary:        Apply JSON-Patches (RFC 6902)
Group:          Development/Python
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
Library to apply JSON Patches according to RFC 6902.

%prep
%setup -q -n %{pypi_name}-%{version}


%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files jsonpatch

# fix shebangs
%{py3_shebang_fix} %{buildroot}%{_bindir}/jsondiff %{buildroot}%{_bindir}/jsonpatch

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc README.md
%{_bindir}/jsondiff
%{_bindir}/jsonpatch


%changelog
* Wed Jul 02 2025 umeabot <umeabot> 1.33-4.mga10
+ Revision: 2240138
- Mageia 10 Mass Rebuild

* Sun Mar 02 2025 wally <wally> 1.33-3.mga10
+ Revision: 2157198
- rebuild for python3.13

* Thu Dec 28 2023 papoteur <papoteur> 1.33-2.mga10
+ Revision: 2023166
- fix pathfix with macro
- rebuilt for python 3.12

* Sun Oct 22 2023 papoteur <papoteur> 1.33-1.mga10
+ Revision: 2000268
- new 1.33

* Wed Mar 23 2022 umeabot <umeabot> 1.32-3.mga9
+ Revision: 1823102
- Mageia 9 Mass Rebuild

* Fri Feb 18 2022 mrambo3501 <mrambo3501> 1.32-2.mga9
+ Revision: 1781157
- rebuild for python-3.10

* Sun Mar 21 2021 daviddavid <daviddavid> 1.32-1.mga9
+ Revision: 1706920
- new version: 1.32
- rebuild for python 3.9

* Sun Feb 16 2020 umeabot <umeabot> 1.21-3.mga8
+ Revision: 1532481
- Mageia 8 Mass Rebuild

* Mon Sep 16 2019 daviddavid <daviddavid> 1.21-2.mga8
+ Revision: 1442396
- rebuild for python3.8
- drop python2 support

* Fri Apr 19 2019 wally <wally> 1.21-1.mga7
+ Revision: 1393464
- new version 1.21

* Tue Jan 08 2019 tv <tv> 1.3-11.mga7
+ Revision: 1351669
- rebuild with python 3.7

* Thu Sep 20 2018 umeabot <umeabot> 1.3-10.mga7
+ Revision: 1289158
- Mageia 7 Mass Rebuild

* Sat Aug 05 2017 pterjan <pterjan> 1.3-9.mga7
+ Revision: 1135469
- Rebuild for python 3.6

* Fri Feb 19 2016 umeabot <umeabot> 1.3-8.mga6
+ Revision: 971008
- Mageia 6 Mass Rebuild

* Sat Oct 10 2015 tv <tv> 1.3-7.mga6
+ Revision: 888930
- rebuild for python 3.5

* Wed Oct 15 2014 umeabot <umeabot> 1.3-6.mga5
+ Revision: 740220
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 1.3-5.mga5
+ Revision: 728849
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 1.3-4.mga5
+ Revision: 688099
- Mageia 5 Mass Rebuild

* Sat May 31 2014 pterjan <pterjan> 1.3-3.mga5
+ Revision: 628725
- Rebuild for new Python

* Tue Oct 22 2013 umeabot <umeabot> 1.3-2.mga4
+ Revision: 542475
- Mageia 4 Mass Rebuild

* Mon Oct 14 2013 philippem <philippem> 1.3-1.mga4
+ Revision: 497637
- imported package python-jsonpatch

